Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 762442 - sys-apps/accountsservice-0.6.55 - meson.build:85:2: ERROR: Assert failed: Do not know which filename to watch for wtmp changes (on musl)
Summary: sys-apps/accountsservice-0.6.55 - meson.build:85:2: ERROR: Assert failed: Do ...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: musl-porting
  Show dependency tree
 
Reported: 2020-12-29 16:25 UTC by ernsteiswuerfel
Modified: 2021-07-09 15:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (accountsservice-0.6.55:20201229-162001.log,4.30 KB, text/plain)
2020-12-29 16:25 UTC, ernsteiswuerfel
Details
emerge --info (file_762442.txt,5.97 KB, text/plain)
2020-12-29 16:26 UTC, ernsteiswuerfel
Details
musl-wtmp.patch (musl-wtmp.patch,566 bytes, patch)
2021-01-02 23:13 UTC, ernsteiswuerfel
Details | Diff
musl-fgetspent_r.patch (musl-fgetspent_r.patch,1.04 KB, patch)
2021-01-02 23:14 UTC, ernsteiswuerfel
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ernsteiswuerfel archtester 2020-12-29 16:25:45 UTC
Created attachment 680203 [details]
build.log

[...]
C compiler for the host machine: x86_64-gentoo-linux-musl-gcc (gcc 9.3.0 "x86_64-gentoo-linux-musl-gcc (Gentoo 9.3.0-r2 p4) 9.3.0")
C linker for the host machine: x86_64-gentoo-linux-musl-gcc ld.bfd 2.34
Host machine cpu family: x86_64
Host machine cpu: x86_64
Has header "paths.h" : YES 
Has header "shadow.h" : YES 
Has header "utmpx.h" : YES 
Checking for function "getusershell" : YES 
Checking for function "setutxdb" : NO 
Checking for function "fgetpwent" : YES 
Header <utmpx.h> has symbol "WTMPX_FILENAME" : NO 
Header <paths.h> has symbol "_PATH_WTMPX" : NO 

meson.build:85:2: ERROR: Assert failed: Do not know which filename to watch for wtmp changes

A full log can be found at /var/tmp/portage/sys-apps/accountsservice-0.6.55/work/accountsservice-0.6.55-build/meson-logs/meson-log.txt
 * ERROR: sys-apps/accountsservice-0.6.55::gentoo failed (configure phase):
 *   (no error message)
Comment 1 ernsteiswuerfel archtester 2020-12-29 16:26:06 UTC
Created attachment 680206 [details]
emerge --info
Comment 2 ernsteiswuerfel archtester 2021-01-02 23:13:40 UTC
Created attachment 680782 [details, diff]
musl-wtmp.patch

https://github.com/void-ppc/void-packages/tree/master/srcpkgs/accountsservice/patches

Took these 2 patches from https://github.com/void-ppc/void-packages/tree/master/srcpkgs/accountsservice/patches which succesfully fix the build and execution of /accountsservice-0.6.55.
Comment 3 ernsteiswuerfel archtester 2021-01-02 23:14:11 UTC
Created attachment 680785 [details, diff]
musl-fgetspent_r.patch
Comment 4 Larry the Git Cow gentoo-dev 2021-04-19 02:27:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/proj/musl.git/commit/?id=d849cff19a57717c42e61331afec0d1bbcae7df8

commit d849cff19a57717c42e61331afec0d1bbcae7df8
Author:     Dave Hughes <davidhughes205@gmail.com>
AuthorDate: 2021-04-19 02:27:00 +0000
Commit:     Dave Hughes <davidhughes205@gmail.com>
CommitDate: 2021-04-19 02:27:14 +0000

    sys-apps/accountsservice: sync with ::gentoo
    
    Bug: https://bugs.gentoo.org/762442
    Closes: https://bugs.gentoo.org/762442
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Dave Hughes <davidhughes205@gmail.com>

 sys-apps/accountsservice/Manifest                  |  2 +-
 .../accountsservice-0.6.50-r1.ebuild               | 67 ------------------
 .../accountsservice/accountsservice-0.6.55.ebuild  | 82 ++++++++++++++++++++++
 .../accountsservice/files/musl-fgetspent_r.patch   | 61 ++++++++--------
 sys-apps/accountsservice/files/musl-wtmp.patch     | 14 ++++
 5 files changed, 128 insertions(+), 98 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/musl.git/commit/?id=d849cff19a57717c42e61331afec0d1bbcae7df8

commit d849cff19a57717c42e61331afec0d1bbcae7df8
Author:     Dave Hughes <davidhughes205@gmail.com>
AuthorDate: 2021-04-19 02:27:00 +0000
Commit:     Dave Hughes <davidhughes205@gmail.com>
CommitDate: 2021-04-19 02:27:14 +0000

    sys-apps/accountsservice: sync with ::gentoo
    
    Bug: https://bugs.gentoo.org/762442
    Closes: https://bugs.gentoo.org/762442
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Dave Hughes <davidhughes205@gmail.com>

 sys-apps/accountsservice/Manifest                  |  2 +-
 .../accountsservice-0.6.50-r1.ebuild               | 67 ------------------
 .../accountsservice/accountsservice-0.6.55.ebuild  | 82 ++++++++++++++++++++++
 .../accountsservice/files/musl-fgetspent_r.patch   | 61 ++++++++--------
 sys-apps/accountsservice/files/musl-wtmp.patch     | 14 ++++
 5 files changed, 128 insertions(+), 98 deletions(-)
Comment 5 Marco Scardovi (scardracs) 2021-07-09 13:02:07 UTC
Seems the bug is not closed as that patch is not present anymore on last -r1 ebuild and I've just hit it.
Comment 6 Mart Raudsepp gentoo-dev 2021-07-09 14:08:33 UTC
It would be ideal if this is (also) handled in upstream with upstream in their merge requests or issue tracker or whatnot then.

We aren't really interested in carrying patches that haven't been submitted and accepted upstream.
Comment 7 Marco Scardovi (scardracs) 2021-07-09 15:19:35 UTC
I've moved back to the version we have on ::musl and masked the one in ::gentoo. I hope the patches will be accepted upstream
Comment 8 Mart Raudsepp gentoo-dev 2021-07-09 15:29:42 UTC
Please link to the upstream report or merge request to be able to track this (you can use the URL field if it's not used already for something else). So far I don't even know if anyone has reported an issue or provided a patch for them.